#!/bin/bash
awk 'BEGIN{
  while (getline <"/var/lib/FWcnt/run_conf/target.parent"){
    gsub("/","_")
    TP[$2]=$1
  }
  close("/var/lib/FWcnt/run_conf/target.parent")
  OUTX="default"
  FS="-"
  INP=ENVIRON["PATH_INFO"]
  PATH_INFO=INP
  gsub("/","",INP)
  if (length(INP)>1){
    split(INP,NAME,"-")
    if(NAME[1] in TP) OUTX=TP[NAME[1]]
    if(ENVIRON["PATH_INFO"] ~ ".png$") exit 0
    if(ENVIRON["PATH_INFO"] ~ ".html$") exit 0
    OUTX=NAME[1]
    PATH_INFO="/"
  }
}
{#BLANK BODY
}
END{
  CFG="/var/lib/FWcnt/run_conf/"OUTX".cfg"
  if((getline <CFG)==-1){
	printf("Content-type: text/html\n")
	printf("X-Powered-By: awk\n\n")
	printf("no CFG %s\n",CFG);
  }
  else{
	C="MRTGRRDCONF="CFG" PATH_INFO="PATH_INFO" /usr/lib/cgi-bin/mrtg-rrd.cgi"
	system(C)
	close(C)
  }
}' /dev/null
